xmonad-contrib-0.12: Third party extensions for xmonad

Copyright | (c) 2007 James Webb
License | BSD3-style (see LICENSE)
Maintainer | xmonad#jwebb,sygneca,com
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.Maximize

Contents

- Usage

Description

Temporarily yanks the focused window out of the layout to mostly fill the screen.

Synopsis

- maximize :: LayoutClass l Window => l Window -> ModifiedLayout Maximize l Window
- maximizeWithPadding :: LayoutClass l Window => Dimension -> l Window -> ModifiedLayout Maximize l Window
- maximizeRestore :: Window -> MaximizeRestore
- data Maximize a
- data MaximizeRestore

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.Maximize

Then edit your `layoutHook` by adding the Maximize layout modifier:

    myLayout = maximize (Tall 1 (3/100) (1/2)) ||| Full ||| etc..)
    main = xmonad def { layoutHook = myLayout }

Or, if you want to control the amount of padding placed around the maximized window:

    myLayout = maximizeWithPadding 10 (Tall 1 (3/100) (1/2)) ||| Full ||| etc..)
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

In the key-bindings, do something like:

           , ((modm, xK_backslash), withFocused (sendMessage . maximizeRestore))
           ...

For detailed instruction on editing the key binding see:

XMonad.Doc.Extending.

maximize :: LayoutClass l Window => l Window -> ModifiedLayout Maximize l Window Source

maximizeWithPadding :: LayoutClass l Window => Dimension -> l Window -> ModifiedLayout Maximize l Window Source

Like `maximize`, but allows you to specify the amount of padding placed around the maximized window.

maximizeRestore :: Window -> MaximizeRestore Source

data Maximize a Source

Instances

LayoutModifier Maximize Window Source |
Read (Maximize a) Source |
Show (Maximize a) Source |

data MaximizeRestore Source

Instances

Eq MaximizeRestore Source |
Message MaximizeRestore Source |